Subject: ailanthus eradication

From: "Belen M. Clark" <[email-masked]>
Date: Fri, 28 Jun 1996 10:38:32 -0700

I am currently doing research on Ailanthus (Tree-of-Hell), and am looking 
for any research that has been done on the eradication (I'll settle for 
control though) of this tree. Any information would be helpful!!!

---

From: [email-masked](Michael L Roginsky )
Date: 1 Jul 1996 21:37:41 GMT

>control though) of this tree. Any information would be helpful!!!

The hell mix: 2 gals water+16 oz 41% Roundup+16 oz 41% 2-4-D+1 oz
detergent as surfactant. It kills kuzu, it will kill anything that has
clorophyl! Cheers....Micro, alive, killer of kudzu, and not a microbe!